﻿Imports System.Globalization

''' <summary>
''' Converter for deciding the right color for positive negative and transfer values
''' </summary>
Public Class multi_converter_neutralamount_color
    Implements IValueConverter

    Dim v_foreground As Brush = Brushes.Black
    Public Property ForeGroundColorBrush As Brush
        Get
            Return v_foreground
        End Get
        Set(value As Brush)
            v_foreground = value
        End Set
    End Property

    Public Function Convert(value As Object, targetType As Type, parameter As Object, culture As CultureInfo) As Object Implements IValueConverter.Convert
        'Value is the multiplier which decides the right color
        'Parameter is the idelforegroundcolorbrush
        If value Is Nothing Then Return Nothing
        Dim vMainModel As HHHB3.ViewModel.MainViewModel = GalaSoft.MvvmLight.Ioc.SimpleIoc.Default.GetInstance(Of HHHB3.ViewModel.MainViewModel)
        Dim v_pos_color As Brush = vMainModel.SettingsCurrent.color_pos_value_brush
        Dim v_neg_color As Brush = vMainModel.SettingsCurrent.color_neg_value_brush

        Select Case value.ToString
            Case "-1"
                'Expend
                Return v_neg_color
            Case "1"
                'income
                Return v_pos_color
            Case "0"
                'Transfer
                Return ForeGroundColorBrush
        End Select
        Return Nothing

    End Function

    Public Function ConvertBack(value As Object, targetType As Type, parameter As Object, culture As CultureInfo) As Object Implements IValueConverter.ConvertBack
        Throw New NotImplementedException()
    End Function
End Class
