﻿
Imports System.Globalization
Imports System.Linq
Imports System.Windows.Data

Public Class SelectedItemToContentConverter
        Implements IMultiValueConverter
        Public Function Convert(values As Object(), targetType As Type, parameter As Object, culture As CultureInfo) As Object Implements IMultiValueConverter.Convert
            ' first value is selected menu item, second value is selected option item
            If values IsNot Nothing AndAlso values.Length > 1 Then
                Return If(values(0), values(1))
            End If
            Return Nothing
        End Function

        Public Function ConvertBack(value As Object, targetTypes As Type(), parameter As Object, culture As CultureInfo) As Object() Implements IMultiValueConverter.ConvertBack
            Return targetTypes.[Select](Function(t) Binding.DoNothing).ToArray()
        End Function
End Class