﻿Public Class cls_groupfilter


    Private _filters As List(Of Predicate(Of Object))

    Public Property Filter As Predicate(Of Object)

    Public Sub New()
        _filters = New List(Of Predicate(Of Object))()
        Filter = AddressOf InternalFilter
    End Sub

    Private Function InternalFilter(ByVal o As Object) As Boolean
        For Each v_filter In _filters
            If Not v_filter(o) Then
                Return False
            End If
        Next

        Return True
    End Function

    Public Sub AddFilter(ByVal filter As Predicate(Of Object))
        _filters.Add(filter)
    End Sub

    Public Sub RemoveFilter(ByVal filter As Predicate(Of Object))
        If _filters.Contains(filter) Then
            _filters.Remove(filter)
        End If
    End Sub
End Class