﻿Imports System.Collections.ObjectModel
''' <summary>
''' Class which contains available Imagesets
''' </summary>
Public Class cls_imagesets_available

    Public Property ImageSets As New ObservableCollection(Of cls_imageset)


    Sub New()
        ImageSets.Clear()

        'Add Imagesets:
        ImageSets.Add(New cls_imageset With {.Key = "color", .name = "Bunter Stil", .description = "Farbige Symbole, die das Programm bunter und freundlicher gestalten.", .imageset = New Uri("Resources\Icons_Color.xaml", UriKind.Relative), .example_image = Resource2Byte("/Resources/Images/Accounting_50px.png")})
        ImageSets.Add(New cls_imageset With {.Key = "win10", .name = "Win 10 Stil Schwarz", .description = "Grau gehaltene Symbole, angelegt an Windows 10.", .imageset = New Uri("Resources\Icons_Win10.xaml", UriKind.Relative), .example_image = Resource2Byte("/Resources/Win10/Accounting_64px.png")})
        ImageSets.Add(New cls_imageset With {.Key = "win10white", .name = "Win 10 Stil Weiß", .description = "Weiß gehaltene Symbole, angelegt an Windows 10.", .imageset = New Uri("Resources\Icons_Win10White.xaml", UriKind.Relative), .example_image = Resource2Byte("/Resources/Win10White/Accounting_64px.png")})


    End Sub



End Class
