﻿''' <summary>
''' Class defines a helper object during journal import
''' it holds the column name of the import file and also the selected columnname
''' </summary>
Public Class cls_search_column_helper
    Inherits GalaSoft.MvvmLight.ObservableObject

    Dim v_colname_import As String = String.Empty
    Dim v_colname_selected As String = String.Empty

    Public Property ColnameImport As String
        Get
            Return v_colname_import
        End Get
        Set(value As String)
            If v_colname_import <> value Then
                v_colname_import = value
                RaisePropertyChanged("ColnameImport")
            End If
        End Set
    End Property

    Public Property ColnameSelected As String
        Get
            Return v_colname_selected
        End Get
        Set(value As String)
            If v_colname_selected <> value Then
                v_colname_selected = value
                Debug.Print("ColnameSel: " & v_colname_selected)
                RaisePropertyChanged("ColnameSelected")
            End If
        End Set
    End Property

End Class
