﻿Namespace HHHB3.Selectors
    ''' <summary>
    ''' class with Templateselector for ucl_search
    ''' </summary>
    Public Class search_templateselector
        Inherits DataTemplateSelector

        Public Property StatusTemplate() As DataTemplate
            Get
                Return m_status
            End Get
            Set
                m_status = Value
            End Set
        End Property
        Private m_status As DataTemplate

        Public Property TypTemplate() As DataTemplate
            Get
                Return m_typ
            End Get
            Set
                m_typ = Value
            End Set
        End Property
        Private m_typ As DataTemplate

        Public Property KontoTemplate() As DataTemplate
            Get
                Return m_konto
            End Get
            Set
                m_konto = Value
            End Set
        End Property
        Private m_konto As DataTemplate

        Public Property ToKontoTemplate As DataTemplate
            Get
                Return m_tokonto
            End Get
            Set(value As DataTemplate)
                m_tokonto = value
            End Set
        End Property
        Private m_tokonto As DataTemplate

        Public Property ReceiverTemplate() As DataTemplate
            Get
                Return m_receiver
            End Get
            Set
                m_receiver = Value
            End Set
        End Property
        Private m_receiver As DataTemplate

        Public Property PersonTemplate() As DataTemplate
            Get
                Return m_person
            End Get
            Set
                m_person = Value
            End Set
        End Property
        Private m_person As DataTemplate

        Public Property TagTemplate() As DataTemplate
            Get
                Return m_tag
            End Get
            Set
                m_tag = Value
            End Set
        End Property
        Private m_tag As DataTemplate

        Public Property CategoryTemplate() As DataTemplate
            Get
                Return m_category
            End Get
            Set
                m_category = Value
            End Set
        End Property
        Private m_category As DataTemplate

        Public Property BemerkungTemplate() As DataTemplate
            Get
                Return m_bemerkung
            End Get
            Set
                m_bemerkung = Value
            End Set
        End Property
        Private m_bemerkung As DataTemplate

        Public Property DateTemplate() As DataTemplate
            Get
                Return m_date
            End Get
            Set
                m_date = Value
            End Set
        End Property
        Private m_date As DataTemplate

        Public Property ValueTemplate() As DataTemplate
            Get
                Return m_value
            End Get
            Set
                m_value = Value
            End Set
        End Property
        Private m_value As DataTemplate


        Public Overrides Function SelectTemplate(ByVal item As Object, ByVal container As DependencyObject) As DataTemplate
            'Try

            Dim v_searchitem As searchitem_v01 = TryCast(item, searchitem_v01)
            If v_searchitem Is Nothing Then Return Nothing

            Select Case v_searchitem.entity_str
                Case "trans_status_v01"
                    Return StatusTemplate
                Case "trans_typ_v01"
                    Return TypTemplate
                Case "konto_v01"
                    Return KontoTemplate
                Case "to_konto_v01"
                    Return ToKontoTemplate
                Case "receiver_v01"
                    Return ReceiverTemplate
                Case "person_v01"
                    Return PersonTemplate
                Case "tags_v01"
                    Return TagTemplate
                Case "category_v01"
                    Return CategoryTemplate
                Case "note"
                    Return BemerkungTemplate
                Case "date"
                    Return DateTemplate
                Case "value"
                    Return ValueTemplate
                Case Else
                    Return Nothing
            End Select

        End Function

    End Class
End Namespace