﻿Namespace HHHB3.Selectors
    ''' <summary>
    ''' class with Templateselector for ucl_search comparer
    ''' </summary>
    Public Class search_templateselector_comparer
        Inherits DataTemplateSelector

        Public Property ComparerValue() As DataTemplate
            Get
                Return m_comparervalue
            End Get
            Set
                m_comparervalue = Value
            End Set
        End Property
        Private m_comparervalue As DataTemplate

        Public Property ComparerStrDate() As DataTemplate
            Get
                Return m_comparerstrdate
            End Get
            Set
                m_comparerstrdate = Value
            End Set
        End Property
        Private m_comparerstrdate As DataTemplate

        Public Overrides Function SelectTemplate(ByVal item As Object, ByVal container As DependencyObject) As DataTemplate
            'Try

            Dim v_searchitem As searchitem_v01 = TryCast(item, searchitem_v01)
            If v_searchitem Is Nothing Then Return Nothing

            Select Case v_searchitem.entity_str
                Case "date"
                    Return ComparerValue
                Case "value"
                    Return ComparerValue
                Case Else
                    Return ComparerStrDate
            End Select

        End Function

    End Class
End Namespace