﻿Public Class frm_start
    Private Sub Button_Click(sender As Object, e As RoutedEventArgs)
        Me.DialogResult = True
    End Sub

    Private Sub cmd_new_Click(sender As Object, e As RoutedEventArgs)
        'Neue Datenbank erstellen:
        Dim objdialog As New Forms.SaveFileDialog
        With objdialog
            .Filter = "HHHB3 Datenbank (*.hhdb3)|*.hhdb3"
            .Title = "Datenbank speichern"
        End With
        If objdialog.ShowDialog() = Forms.DialogResult.OK Then
            If objdialog.FileName <> "" Then
                db_path = objdialog.FileName
                DialogResult = True
            Else
                DialogResult = False
            End If
        Else
            MessageBox.Show("Anlegen wurden abgebrochen", "Fehler", MessageBoxButton.OK, MessageBoxImage.Error)
            DialogResult = False
        End If

    End Sub

    Private Sub cmd_open_Click(sender As Object, e As RoutedEventArgs)
        'Neue Datenbank öffnen:
        'Beim Klick auf den Button soll ein FileDialog aufgerufen werden:
        On Error Resume Next

        Dim objDialog As Forms.OpenFileDialog = New Forms.OpenFileDialog
        With objDialog
            .DefaultExt = ".hhdb3"
            .Filter = "HHHB Datenbank (*.hhdb3)|*.hhdb3|Generische Datenbank (*.sdf)|*.sdf"
        End With

        Dim objResult As Forms.DialogResult = objDialog.ShowDialog
        If objResult = Forms.DialogResult.OK Then
            Dim v_oldpath As String = GetValueFromRegistryKey("db_lastused")
            db_path = objDialog.FileName
            Me.DialogResult = True
        Else
            MessageBox.Show("Datenbank konnte nicht gefunden werden", "Fehler", MessageBoxButton.OK, MessageBoxImage.Error)
            Me.DialogResult = False
        End If
    End Sub

    Dim v_dbpath As String = ""
    Public Property db_path As String
        Get
            Return v_dbpath
        End Get
        Set(value As String)
            v_dbpath = value
        End Set
    End Property

End Class
