﻿Imports System.Collections.ObjectModel
Imports System.Data.Entity

Namespace HHHB3.ViewModel
    Partial Public Class MainViewModel
        'Partial Entität Personen:

        Private WithEvents __persons As New ObservableCollection(Of person_v01)
        ''' <summary>
        ''' Alle Transaktionstypen
        ''' </summary>
        ''' <returns></returns>
        Public Property Persons As ListCollectionView
        Public Property Persons_Aktiv As ListCollectionView

        Private Sub PersonenLoad()
            __persons.Clear()
            dbo.m_person_v01.Load
            __persons = dbo.m_person_v01.Local
            Persons = New ListCollectionView(__persons)
            Persons_Aktiv = New ListCollectionView(__persons)
            Persons_Aktiv.Filter = New Predicate(Of Object)(AddressOf Filters.ObjAktiv)
            Persons_Aktiv.SortDescriptions.Add(New ComponentModel.SortDescription("bezeichnung", ComponentModel.ListSortDirection.Ascending))
            Persons_Aktiv.LiveSortingProperties.Add("bezeichnung")
        End Sub

        Private Sub __persons_CollectionChanged(sender As Object, e As Specialized.NotifyCollectionChangedEventArgs) Handles __persons.CollectionChanged
            'If e.Action <> Specialized.NotifyCollectionChangedAction.Remove Then Return
            If Not Persons Is Nothing Then
                If Not Persons.MoveCurrentToNext Then Persons.MoveCurrentToPrevious()
            End If
            If Not Persons_Aktiv Is Nothing Then
                If Not Persons_Aktiv.MoveCurrentToNext Then Persons_Aktiv.MoveCurrentToPrevious()
                If Not Persons_Aktiv.IsAddingNew Or Persons_Aktiv.IsEditingItem Then
                    Persons_Aktiv.Filter = New Predicate(Of Object)(AddressOf Filters.ObjAktiv)
                    Persons_Aktiv.SortDescriptions.Clear()
                    Persons_Aktiv.SortDescriptions.Add(New ComponentModel.SortDescription("bezeichnung", ComponentModel.ListSortDirection.Ascending))
                End If
            End If
        End Sub

#Region "Commands"
        Public Property cmdPersonImage As New RelayCommand(Of person_v01)(Sub(p) PersonImage(p), Function(p) p IsNot Nothing)
        Private Sub PersonImage(v_person As person_v01)
            If v_person Is Nothing Then Exit Sub
            Dim v_image As Byte() = get_symbol_from_dialog()
            If v_image IsNot Nothing Then
                v_person.symbol = v_image
            End If
        End Sub
#End Region

    End Class
End Namespace

