﻿Imports System.Collections.ObjectModel
Imports System.Data.Entity

Namespace HHHB3.ViewModel
    Partial Public Class MainViewModel
        'Partial Entität Empfänger:

        Private WithEvents __reveicer As New ObservableCollection(Of receiver_v01)
        ''' <summary>
        ''' Alle Transaktionstypen
        ''' </summary>
        ''' <returns></returns>
        Public Property Receivers As ListCollectionView
        Public Property Receivers_Aktiv As ListCollectionView

        Private Sub ReceiverLoad()
            __reveicer.Clear()
            dbo.m_receiver_v01.Load
            __reveicer = dbo.m_receiver_v01.Local
            Receivers = New ListCollectionView(__reveicer)
            Receivers_Aktiv = New ListCollectionView(__reveicer)
            Receivers_Aktiv.Filter = New Predicate(Of Object)(AddressOf Filters.ObjAktiv)
            Receivers_Aktiv.SortDescriptions.Clear()
            Receivers_Aktiv.SortDescriptions.Add(New ComponentModel.SortDescription("bezeichnung", ComponentModel.ListSortDirection.Ascending))
        End Sub

        Private Sub __reveicer_CollectionChanged(sender As Object, e As Specialized.NotifyCollectionChangedEventArgs) Handles __reveicer.CollectionChanged
            'If e.Action <> Specialized.NotifyCollectionChangedAction.Remove Then Return
            If Not Receivers Is Nothing Then
                If Not Receivers.MoveCurrentToNext Then Receivers.MoveCurrentToPrevious()
            End If
            If Not Receivers_Aktiv Is Nothing Then
                If Not Receivers_Aktiv.MoveCurrentToNext Then Receivers_Aktiv.MoveCurrentToPrevious()
                If Not Receivers_Aktiv.IsAddingNew Or Receivers_Aktiv.IsEditingItem Then
                    Receivers_Aktiv.Filter = New Predicate(Of Object)(AddressOf Filters.ObjAktiv)
                    Receivers_Aktiv.SortDescriptions.Clear()
                    Receivers_Aktiv.SortDescriptions.Add(New ComponentModel.SortDescription("bezeichnung", ComponentModel.ListSortDirection.Ascending))
                End If

            End If
        End Sub

    End Class
End Namespace

