﻿''' <summary>
''' Klasse die Filter definiert für die Entität zuletzt benutzte Datenbanken
''' </summary>
Public Class cls_filter_lastuseddb
    ''' <summary>
    ''' Gibt nur aktive (nicht archivierte konten zurück)
    ''' </summary>
    ''' <param name="obj_item"></param>
    ''' <returns></returns>
    Public Function PinnedDBs(ByVal obj_item As Object) As Boolean
        Dim item As cls_lastdb = TryCast(obj_item, cls_lastdb)
        If item IsNot Nothing Then
            If item.pinned Then
                Return True
            Else
                Return False
            End If
        Else
            Return False
        End If
    End Function

    ''' <summary>
    ''' Gibt nur die inaktiven (archivierten Konten zurück)
    ''' </summary>
    ''' <param name="obj_item"></param>
    ''' <returns></returns>
    Public Function UnPinnedDBs(ByVal obj_item As Object) As Boolean
        Dim item As cls_lastdb = TryCast(obj_item, cls_lastdb)
        If item IsNot Nothing Then
            If item.pinned Then
                Return False
            Else
                Return True
            End If
        Else
            Return False
        End If
    End Function

End Class
