﻿'Initializer for DropCreateDatabaseAlways:
Imports System.Data.Entity

Public Class HHHB3DropAlwaysInitializer
    Inherits DropCreateDatabaseAlways(Of hhhb3_model)

    Protected Overrides Sub Seed(context As hhhb3_model)
        With context
            .m_person_v01.Add(New person_v01 With {.bezeichnung = "---", .predefined = True, .aktiv = True})
            .m_receiver_v01.Add(New receiver_v01 With {.bezeichnung = "---", .predefined = True, .aktiv = True})
            .m_trans_status_v01.Add(New trans_status_v01 With {.bezeichnung = "---", .predefined = True, .aktiv = True})
            'Add a folder and a account:
            .m_folder_v01.Add(New folder_v01 With {.bezeichnung = "Neuer Ordner", .aktiv = True})
            .m_konto_v01.Add(New konto_v01 With {.bezeichnung = "Neues Konto", .aktiv = True, .in_vermoegen = True, .parent_folder_id = 1})
        End With

        MyBase.Seed(context)
    End Sub

End Class