﻿Public Class ucl_budget

    Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.


    End Sub

    Private Sub exp_graph_expend_Expanded(sender As Object, e As RoutedEventArgs) Handles exp_graph_expend.Expanded
        ChangeGrid(DirectCast(sender, Expander))
    End Sub
    Private Sub exp_graph_expend_Collapsed(sender As Object, e As RoutedEventArgs) Handles exp_graph_expend.Collapsed
        ChangeGrid(DirectCast(sender, Expander))
    End Sub

    Private Sub exp_graph_income_Expanded(sender As Object, e As RoutedEventArgs) Handles exp_graph_income.Expanded
        ChangeGrid(DirectCast(sender, Expander))
    End Sub

    Private Sub exp_graph_income_Collapsed(sender As Object, e As RoutedEventArgs) Handles exp_graph_income.Collapsed
        ChangeGrid(DirectCast(sender, Expander))
    End Sub

    Private Sub ChangeGrid(v_exp As Expander)
        Dim v_parent As Grid = FindAncestor(Of Grid)(v_exp)
        Dim v_rowindex As Integer = Grid.GetRow(v_exp)
        If v_rowindex = 0 AndAlso v_exp.Name = "exp_graph_expend" Then v_rowindex = 1 'Seems that when the usercontrol is loaded that the rowindex of the second expander is still 0 to avoid this check and reset the v_rowcount.
        If (v_parent.RowDefinitions.Count > v_rowindex AndAlso v_rowindex >= 0) Then
            If v_exp.IsExpanded Then
                v_parent.RowDefinitions(v_rowindex).Height = New GridLength(1, GridUnitType.Star)
                ' Debug.Print("isexpanded = true, set to STAR rowindex: " & v_rowindex.ToString)
            Else
                v_parent.RowDefinitions(v_rowindex).Height = GridLength.Auto
                'Debug.Print("isexpanded = false, set to AUTO rowindex: " & v_rowindex.ToString)
            End If
        End If
    End Sub

    Public Shared Function FindAncestor(Of T As DependencyObject)(ByVal current As DependencyObject) As T
        current = VisualTreeHelper.GetParent(current)

        While current IsNot Nothing

            If TypeOf current Is T Then
                Return CType(current, T)
            End If

            current = VisualTreeHelper.GetParent(current)
        End While

        Return Nothing
    End Function
End Class